Skip to content

Get webhook
GA

Request

Return an already created webhook.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

webhookIdstringrequired

The unique ID of the webhook.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks/{webhookId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Webhook response

Bodyapplication/json
idstringrequired

The ID of the webhook.

targetstringrequired

The target url where events will be sent to.

projectIdstringrequired

The project that this webhook belongs to.

triggersArray of strings, uniquerequired

List of triggers this webhook is triggered by.

Response

Example of a response for a webhook with specific triggers.

{ "id": "{{WEBHOOK_ID}}", "target": "https://my.server.com/callback", "projectId": "{{PROJECT_ID}}", "triggers": [ "WHATSAPP_TEMPLATE_APPROVED", "WHATSAPP_TEMPLATE_REJECTED" ] }
We'd love to hear from you!
Rate this content: